using PlumbingRepairContracts.BindingModels;
using PlumbingRepairContracts.ViewModels;

namespace PlumbingRepairContracts.BusinessLogicsContracts
{
    public interface IReportLogic
    {
        List<ReportWorkComponentViewModel> GetWork();
        List<ReportOrdersViewModel> GetOrders(ReportBindingModel model);
        void SaveWorksToWordFile(ReportBindingModel model);
        void SaveWorkComponentToExcelFile(ReportBindingModel model);
        void SaveOrdersToPdfFile(ReportBindingModel model);
    }
}
